Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.databinding
Class DataModelBinder

    java.lang.Object
      org.jboss.seam.databinding.DataModelBinder

All Implemented Interfaces:
  DataBinder<DataModel,Object,javax.faces.model.DataModel>

    public class DataModelBinder

extends Object
implements DataBinder<DataModel,Object,javax.faces.model.DataModel>

Exposes a List, array, Map or Set to the UI as a JSF DataModel

Author:
  Gavin King

Constructor Summary
`DataModelBinder()`

Method Summary
`Object` | `getSelection(DataModel out, javax.faces.model.DataModel wrapper)`
`String` | `getVariableName(DataModel out)`
`ScopeType` | `getVariableScope(DataModel out)`
`Object` | `getWrappedData(DataModel out, javax.faces.model.DataModel wrapper)`
`boolean` | `isDirty(DataModel out, javax.faces.model.DataModel wrapper, Object value)`
`javax.faces.model.DataModel` | `wrap(DataModel out, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataModelBinder

    public DataModelBinder()

Method Detail

### getVariableName

    public String getVariableName(DataModel out)

  Specified by:
    `getVariableName` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

### getVariableScope

    public ScopeType getVariableScope(DataModel out)

  Specified by:
    `getVariableScope` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

### wrap

    public javax.faces.model.DataModel wrap(DataModel out,
                                            Object value)

  Specified by:
    `wrap` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

### getWrappedData

    public Object getWrappedData(DataModel out,
                                 javax.faces.model.DataModel wrapper)

  Specified by:
    `getWrappedData` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

### getSelection

    public Object getSelection(DataModel out,
                               javax.faces.model.DataModel wrapper)

  Specified by:
    `getSelection` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

### isDirty

    public boolean isDirty(DataModel out,
                           javax.faces.model.DataModel wrapper,
                           Object value)

  Specified by:
    `isDirty` in interface `DataBinder<DataModel,Object,javax.faces.model.DataModel>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.